--
-- Name: artiste; Type: TABLE;
--
CREATE TABLE artiste (
	idartiste integer,
	nom varchar(30) NOT NULL,
	prenom varchar(30) NOT NULL,
	anneenaiss integer,
	UNIQUE (nom,prenom),
	PRIMARY KEY (idartiste)
);

--
-- Name: film; Type: TABLE;
--
CREATE TABLE film (
	idfilm integer,
	titre varchar(50) NOT NULL,
	annee integer NOT NULL,
	idmes integer,
	genre varchar(22) NOT NULL,
	resume text,
	codepays varchar(4),
	FOREIGN KEY (codepays) REFERENCES pays(code),
	FOREIGN KEY (idmes) REFERENCES artiste(idartiste),
	PRIMARY KEY (idfilm)
);

--
-- Name: genre; Type: TABLE;
--
CREATE TABLE genre (
	code varchar(22),
	PRIMARY KEY (code)
);

--
-- Name: internaute; Type: TABLE;
--
CREATE TABLE internaute (
	email varchar(40),
	nom varchar(30) NOT NULL,
	prenom varchar(30) NOT NULL,
	region varchar(30),
	PRIMARY KEY (email)
);

--
-- Name: notation; Type: TABLE;
--
CREATE TABLE notation (
	idfilm integer,
	email varchar(40),
	note integer NOT NULL,
	PRIMARY KEY (idfilm,email)
);

--
-- Name: pays; Type: TABLE;
--
CREATE TABLE pays (
	code varchar(4),
	nom varchar(30) NOT NULL DEFAULT 'Inconnu',
	langue varchar(30) NOT NULL,
	PRIMARY KEY (code)
);

--
-- Name: role; Type: TABLE;
--
CREATE TABLE role (
	idfilm integer,
	idacteur integer,
	nomrole varchar(32),
	FOREIGN KEY (idacteur) REFERENCES artiste(idartiste),
	FOREIGN KEY (idfilm) REFERENCES film(idfilm),
	PRIMARY KEY (idacteur,idfilm)
);

.mode csv
.separator "\t"
.import artiste.csv artiste
.import film.csv film
.import genre.csv genre
.import internaute.csv internaute
.import notation.csv notation
.import pays.csv pays
.import role.csv role
